unit matfu;

interface
 uses StdCtrls, SysUtils;
 type fun = function(x:extended):extended;
 procedure Tabl(f:fun; xn,xk:extended; m:integer; Memo1:TMemo);
implementation
 procedure tabl;
 var x,y,h:extended;
     i:integer;
 begin
 x:=xn;
 h:=(xk-xn)/m;
for i:=1 to m+1 do begin
 y:=f(x);
 Memo1.lines.add('x='+floattostrf(x,fffixed,8,3)+
                 'y='+floattostrf(y,fffixed,8,3));
 x:=x+h;
 end;
 end;
end.
